import java.util.Iterator;

import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.fetchingStratergy.domain.Dependent;
import com.fetchingStratergy.domain.Employee;
import com.fetchingStratergy.service.DepartmentService;
import com.fetchingStratergy.service.EmployeeDetailsService;
import com.fetchingStratergy.service.EmployeeService;


public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception{
		ClassPathXmlApplicationContext cp = new ClassPathXmlApplicationContext("spring/main_configuration.xml");
		EmployeeDetailsService emp = (EmployeeDetailsService)cp.getBean("employeeDetailsService");
		Employee employee;
		
		// Create a default data used for testing.
/*		DepartmentService departmentService = (DepartmentService)cp.getBean("departmentService");
		departmentService.createDepartment("Dep1");
		
		EmployeeService employeeService = (EmployeeService)cp.getBean("employeeService");
		employeeService.createEmployee("manju", 1);
		
		employeeService.addDependent(1, "mother");
		employeeService.addDependent(1, "father");
*/		
		
		// display employee name.
/*
		employee = emp.getEmployeeDetails(1);
		System.out.println(employee.getName());
*/
	
		// display employee name and department name.
		
		employee = emp.getEmployeeWithDepartmentDetails(1);
		System.out.println(employee.getName() +"	" + employee.getDepartment().getName());
		

		// display employee name and dependents name.
/*		
		employee = emp.getEmployeeWithDependentDetails(1);
		System.out.println(employee.getName());
		System.out.println("Depedent details");
		Iterator<Dependent> itr = employee.getDependents().iterator();
		while(itr.hasNext()) {
			System.out.println("Dependent Name = "+ itr.next().getName());
		}
*/
	}

}
