package com.fetchingStratergy.domain;

import java.util.HashSet;
import java.util.Set;
import java.util.Collection;

public class Employee extends Id{
	
	private String name;
	private Department department;
	private Set<Dependent> dependents = new HashSet<Dependent>();
	
	protected Employee() {}

	public Employee(String name) {
		super();
		this.name = name;
	}

	public Employee(String name, Department department) {
		super();
		this.name = name;
		this.department = department;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setDepartment(Department department) {
		this.department = department;
	}

	public Department getDepartment() {
		return this.department;
	}
	public Set<Dependent> getDependents() {
		return dependents;
	}

	public void setDependents(Set<Dependent> dependents) {
		this.dependents = dependents;
	}
	
	public void addDependent(Dependent dependent){
		this.dependents.add(dependent);
	}
	
}
