package com.fetchingStratergy.service.impl;

import com.fetchingStratergy.domain.Department;
import com.fetchingStratergy.repository.DepartmentRepository;
import com.fetchingStratergy.service.DepartmentService;

public class DepartmentServiceImpl implements DepartmentService {
	private DepartmentRepository departmentRepository;
	
	public DepartmentServiceImpl(DepartmentRepository departmentRepository) {
		super();
		this.departmentRepository = departmentRepository;
	}

	public void createDepartment(String departmentName) {
		Department department = new Department(departmentName);
		departmentRepository.createDepartment(department);
	}

	public void deleteDepartment(String department) {
		//departmentRepository.deleteDepartment(department);
	}

	public Department findDepartmentById(int departmentId) {
		return departmentRepository.findDepartmentById(departmentId);
	}

}
